#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.1.2
visibility:           public
id:                   persistent-test-2.13.1.2-3JxBQMhs0uJKiAtUIDptZM
key:                  persistent-test-2.13.1.2-3JxBQMhs0uJKiAtUIDptZM
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  b9dac57c6510ecfaf6f02a1544b360e7
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.1.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.1.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.2-3JxBQMhs0uJKiAtUIDptZM
depends:
    HUnit-1.6.2.0-C1iPOmv2pdMIa65hP6dNHl
    QuickCheck-2.14.3-4hf973knYNzFMwKqZlYl0T
    aeson-2.1.2.1-DWl9t7powqELSMlZOqEF1z base-4.15.1.0
    blaze-html-0.9.1.2-8oL5nWAOswu9DIE2cdBn2W bytestring-0.10.12.1
    conduit-1.3.5-Css8nPmtQLk8zfFBHZFwHR containers-0.6.4.1
    exceptions-0.10.4 hspec-2.10.9-4O3ec4Ew8iILAIwPhGBGB6
    hspec-expectations-0.8.3-GtEFyAkIxMfL6yE5lKnMix
    http-api-data-0.5.1-77dgKZk5OT3GpLpglVudz2
    monad-control-1.0.3.1-7PW8XFziCvMH9VSd6TK6du
    monad-logger-0.3.40-Lf0MVifXs36LUVOHRNb7cl mtl-2.2.2
    path-pieces-0.2.1-H7eklAHLAbQDmNQh33Z06o
    persistent-2.13.3.5-IDnX5u2JG8AjcwXncUlkx
    quickcheck-instances-0.3.30-BJnTCISAHI5BLbuavVBsri
    random-1.2.1.1-C6YbKOqj1b9FtHcTQfM70Q
    resourcet-1.2.6-FvztC1jOFwX3FnKPJ2t3fG text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-4uu9Rh7YZOn7ys2X3Fiyyi
    unliftio-0.2.25.0-3KLPdpqwawq1LMcNrWCiEc
    unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj
    unordered-containers-0.2.20-GD5h4dXRiYp4CZJcEpki1R

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

